
CoCoALib - Bug #1048

Several tests fail when threadsafe-hack is active

18 Apr 2017 17:41 - John Abbott

Status: Closed Start date: 18 Apr 2017

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Safety Estimated time: 0.33 hour

Target version: CoCoALib-0.99550 spring 2017 Spent time: 0.40 hour

Description

Several tests fail when CoCoALib has been configured with --threadsafe-hack.

All failures are of the type "non-zero exit status"

In most cases the problem appears to be a SEGV.

History

#1 - 18 Apr 2017 17:49 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

- Estimated time set to 0.33 h

As soon as had I created this issue, I had an idea how to solve the problem...

There were some missing #include "CoCoA/PREPROCESSOR_DEFNS.H".

Adding them solved the problem :-)

#2 - 18 Apr 2017 17:49 - John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99550 spring 2017

#3 - 22 Apr 2017 22:43 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Closing because it has been properly solved.  I hope I'll be  more careful next time... if there is a next time.
